Ceased Support for iOS app Version 6.0.0.1099 and older, & Android app versions 5.3.2 and older

We’ll be ending support for iOS app Version 6.0.0.1099 & Android app versions 5.3.2 and below after Nov 30th, 2020. 

What if I’m not able to download the latest version of the app? 

If you’re unable to download the latest version of the app, it is most likely because you are using an OS version of Android/iOS that’s incompatible with Viki.

To download the Viki app make sure you are on Android OS version 4.4, or iOS 12.0 and above. 

What if I’m not able to download a new OS version on my device? 

If you’re unable to download the Android OS version 4.4, or iOS 12.0 and newer, it means that your device is incompatible with the new OS and thus will not be able to install the latest version of Viki.

You can continue watching Viki from other compatible devices and from our website. You can all of our supported apps here: Viki.com/apps

Was this article helpful?
3 out of 9 found this helpful

Comments

0 comments

Article is closed for comments.